.works {

    &__nav {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        row-gap: rem(8);
        column-gap: rem(8);
        margin-bottom: rem(24);
    }

    &__row {
        display: grid;
        grid-row-gap: rem(16);
        grid-column-gap: rem(16);
        grid-template-columns: 1fr 1fr;
    }

    &__item {
        display: block;
        overflow: hidden;
        border-radius: rem(12);

        &:nth-child(n+9) {
            display: none;
        }
    }

    &__content {

        &.downloaded {

            .works__item {

                &:nth-child(n+9) {
                    display: block;
                }
            }

            .works__footer {
                display: none;
            }
        }
    }

    &__footer {
        text-align: center;
        margin-top: rem(24);
    }

    @include media-breakpoint-up(sm) {

        &__row {
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(md) {

        &__nav {
            row-gap: rem(16);
            column-gap: rem(16);
        }

        &__row {
            grid-row-gap: rem(20);
            grid-column-gap: rem(20);
        }

        &__footer {
            margin-top: rem(32);
        }
    }

    @include media-breakpoint-up(lg) {

        &__row {
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {

        &__row {
            grid-row-gap: rem(30);
            grid-column-gap: rem(24);
        }

        &__footer {
            margin-top: rem(40);
        }
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
